Gestiono
Referencia de APIAccounting / Chart Of Accounts

Update Chart Of Accounts data source

← Back to full API reference
PATCH/v1/chart-of-accounts/data-sourceAuth required
  • Requires organization permissions for this resource.
  • Validated by Zod schema: patchAccountDataSource.

Request details

Body fields

FieldRequiredDescription
idYesType: string
accountIdNoType: number
titleNoType: string
typeNoType: enumExample: INVOICES
operationNoType: enumExample: ADD
configNoType: object
config.multiplierNoType: numberExample: 1
config.invoiceNoType: object
config.invoice.sourceFieldYesType: enumExample: amount
config.invoice.isSellYesType: boolean
config.invoice.statesNoType: arrayExample:
config.invoice.states[]Yesz.enum without literal array values
config.resourcesNoType: object
config.resources.idsNoType: arrayExample:
config.resources.ids[]YesType: number
config.resources.typesNoType: arrayExample:
config.resources.types[]YesEnum-like validator generated by zodFromObj
config.chartAccountsNoType: object
config.chartAccounts.idsNoType: arrayExample:
config.chartAccounts.ids[]YesType: number
config.accountBalancesNoType: object
config.accountBalances.excludeAccountIdsNoType: arrayExample:
config.accountBalances.excludeAccountIds[]YesType: number
config.commissionsNoType: object
config.commissions.isSellNoType: boolean
config.payrollBenefitsNoType: object
config.payrollBenefits.sourceFieldNoType: enumExample: total
config.manualNoType: object
config.manual.amountNoType: number

Default payloads

Path params

json
{}

Query

json
{}

Body

json
{
  "id": "00000000-0000-0000-0000-000000000000"
}

Sample response

json
{}